Subject: [alpine-aports] [PATCH] testing/py-kiwisolver: New aport

From: Marian Buschsieweke <[email-masked]>
Date: Mon, 21 May 2018 23:31:25 +0200

An efficient implementation of the Cassowary constraint solving algorithm
https://pypi.org/project/kiwisolver/
---
 testing/py-kiwisolver/APKBUILD | 51 ++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/py-kiwisolver/APKBUILD

diff --git a/testing/py-kiwisolver/APKBUILD b/testing/py-kiwisolver/APKBUILD
new file mode 100644
index 0000000000..0e7e0161d6
--- /dev/null
+++ b/testing/py-kiwisolver/APKBUILD
@@ -0,0 +1,51 @@
+# Maintainer: Marian Buschsieweke <[email-masked]>
+pkgname=py-kiwisolver
+_pkgname=kiwisolver
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="An efficient implementation of the Cassowary constraint solving algorithm"
+url="https://pypi.org/project/kiwisolver/"
+arch="all"
+license="BSD"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	replaces="$pkgname"
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+check() {
+	cd "$builddir"
+	python2 setup.py test || return 1
+	python3 setup.py test || return 1
+}
+
+
+sha512sums="80ed3d7429a2ed4944aa09766bebac2709a3a0e0a184ff414f04bf3c7ec3034ea7d0f70dff319922b870dedaf13d64fc87eff86a82e720ec93a2510885ad738d  kiwisolver-1.0.1.tar.gz"
-- 
2.17.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---